import { J as Json, O as ObjectStorage, L as LogHandlerOptions, dL as LogMessage, a as LogHandler, b as LogLevelAliasType, c as LoggerInterface } from './uuid-eGHUkDkl.js';
export { el as ArgumentsType, d5 as AsyncMutex, dq as AsyncReturnType, ab as BinInput, B as BinaryEncoder, n as CRYPTO_DEFAULT_ALG, o as CRYPTO_DEFAULT_DERIVE_ALG, p as CRYPTO_DEFAULT_DERIVE_ITERATIONS, C as CRYPTO_DEFAULT_HASH_ALG, dX as Channel, dW as ChannelMessageEvent, e8 as CryptoEncoder, aW as DAY_MS, aR as Day, aY as DayInput, aQ as DayInputLegacy, aX as DayValue, bj as DecimalInput, bi as DecimalValue, e1 as DefaultListener, dA as DefaultLogger, bs as Difference, br as DifferenceType, cY as Disposer, cX as DisposerFunction, e3 as Emitter, d$ as EmitterAllHandler, d_ as EmitterHandler, e2 as EmitterSubscriberOptions, e5 as Encoder, bS as FilterFunction, e7 as JsonEncoder, e0 as ListenerSignature, dY as LocalChannel, dB as LogLevel, dJ as LogLevelAlias, dK as LogLevelAliasKey, dC as LogLevelAll, dD as LogLevelDebug, dG as LogLevelError, dH as LogLevelFatal, dE as LogLevelInfo, dI as LogLevelOff, dF as LogLevelWarn, dO as LoggerConsoleHandler, dP as LoggerContext, dM as LoggerContextInterface, dV as LoggerMemoryHandler, bT as MapperFunction, eJ as MemStorage, eI as MemStorageOptions, eb as Message, e9 as MessageAction, ef as MessageDefinitions, eg as MessageHub, ea as MessageResult, ed as MessagesDefaultMethods, ee as MessagesMethods, ec as MessagesOptions, d4 as Mutex, eP as NestedArray, e6 as NoopEncoder, d9 as PoolConfig, dc as PoolTask, dd as PoolTaskEvents, da as PoolTaskFn, d8 as PoolTaskIdConflictResolution, db as PoolTaskState, bw as Primitive, df as Progress, ej as PubSub, ep as RPCFn, eo as RPCOptions, en as RPCOptionsBasic, eq as RPCReturn, aH as RenderMessagesOptions, em as ReturnType, cg as RoundingMode, dt as SerialQueue, cr as SortableItem, ds as TaskEvents, dr as TaskFn, aP as Uint8ArrayToDataUri, ar as Uint8ArrayToHexDump, aq as Uint8ArrayToJson, af as Uint8ArrayToString, cN as Uint8ArrayToWords, cW as UseDefer, cU as UseDispose, cS as UseDisposeConfig, d3 as UseDisposeWithUtils, et as UseRPCHubType, cR as XRX, ad as _decodeUtf8Polyfill, ac as _encodeUtf8Polyfill, a0 as _useBase, Z as arrayAvg, _ as arrayBatches, M as arrayEmptyInPlace, I as arrayFilterInPlace, D as arrayFlatten, E as arrayIntersection, R as arrayIsEqual, W as arrayMax, X as arrayMin, z as arrayMinus, V as arrayRandomElement, G as arrayRemoveElement, N as arraySetArrayInPlace, H as arraySetElement, T as arrayShuffle, U as arrayShuffleForce, S as arrayShuffleInPlace, P as arraySorted, Q as arraySortedNumbers, Y as arraySum, F as arraySymmetricDifference, K as arrayToggleInPlace, A as arrayUnion, y as arrayUnique, d as assert, e as assertCondition, c3 as avg, c1 as between, k as bitfield, l as blobToArrayBuffer, aO as blobToDataUri, m as blobToUint8Array, dN as browserSelectColorByName, cJ as cloneJsonObject, cI as cloneObject, cc as cmp, cb as composeOrderby, $ as createArray, j as createBinaryStreamDecoder, i as createBinaryStreamEncoder, dZ as createLocalChannelPair, dg as createPromise, eh as createPromiseProxy, w as csvParse, x as csvParseToObjects, v as csvStringify, aN as dataUriToBlob, aM as dataUriToMimeType, aL as dataUriToUint8Array, aV as dateStringToDays, aU as day, a$ as dayDay, bf as dayDiff, b3 as dayFromAny, b5 as dayFromDate, b6 as dayFromDateGMT, ba as dayFromParts, bb as dayFromString, b8 as dayFromTimestamp, b2 as dayFromToday, bh as dayIterator, a_ as dayMonth, bc as dayMonthStart, be as dayOffset, bg as dayRange, b1 as dayToDate, b4 as dayToDateGMT, b0 as dayToParts, b9 as dayToString, b7 as dayToTimestamp, aZ as dayYear, bd as dayYearStart, dv as debounce, cx as deburr, bk as decimal, bn as decimalCentsPart, bl as decimalFromCents, bm as decimalToCents, a5 as decodeBase16, a3 as decodeBase32, a7 as decodeBase58, a9 as decodeBase62, h as decodeJson, u as decrypt, bo as deepEqual, bq as deepMerge, bp as deepStripUndefinedInPlace, s as deriveKeyPbkdf2, eF as detect, bt as diffObjects, q as digest, eO as duration, cH as empty, a4 as encodeBase16, a2 as encodeBase32, a6 as encodeBase58, a8 as encodeBase62, g as encodeJson, cA as encodeQuery, t as encrypt, ct as endSortWeight, cC as ensureKey, cD as ensureKeyAsync, ao as equalBinary, bu as escapeHTML, cf as escapeRegExp, aa as estimateSizeForBase, f as fatal, ew as fetchBasic, ex as fetchJson, eB as fetchOptionsBasicAuth, ez as fetchOptionsFormURLEncoded, eA as fetchOptionsJson, ey as fetchText, cF as first, aK as fixBrokenUth8String, aS as forEachDay, cM as forTimes, aI as formatMessages, eL as formatMilliseconds, am as fromBase64, an as fromBase64String, av as fromCamelCase, aj as fromHex, eE as getGlobal, dw as getGlobalContext, e4 as getGlobalEmitter, dy as getGlobalLogger, dz as getGlobalLoggerIfExists, dQ as getNamespaceFilterString, eD as getNavigator, eN as getPerformanceTimestamp, bY as getSecureRandom, bZ as getSecureRandomIfPossible, eK as getTimestamp, eC as getWindow, eu as httpMethod, di as immediate, bz as isArray, bG as isBoolean, eG as isBrowser, bL as isEmpty, ci as isEven, ch as isHalf, bE as isInteger, dx as isLocalHost, bM as isNotEmpty, bK as isNotNull, bI as isNull, bH as isNullOrUndefined, bD as isNumber, bx as isObject, c5 as isPrime, c4 as isPrimeRX, by as isPrimitive, dn as isPromise, bA as isRecord, bB as isRecordPlain, bF as isSafeInteger, bC as isString, dk as isTimeout, bO as isTruthy, bJ as isUint8Array, bN as isValue, dU as joinLogStrings, ah as joinToUint8Array, bR as jsonStringify, bQ as jsonStringifySafe, bP as jsonStringifySorted, ap as jsonToUint8Array, cG as last, cy as linkifyPlainText, bW as listDistinctUnion, bV as listGroupBy, bX as listOfKey, bU as listQuery, cK as memoize, cL as memoizeAsync, cu as moveSortWeight, eQ as noop, c9 as objectIsEmpty, c7 as objectMap, c8 as objectMergeDisposable, ev as parseBasicAuth, eM as parseDate, dS as parseLogLevel, ca as parseOrderby, cB as parseQuery, dp as promisify, fa as qid, b_ as randomBoolean, c0 as randomFloat, b$ as randomInt, r as randomUint8Array, cQ as regExpEscape, cP as regExpString, aJ as renderMessages, ck as roundDown, cn as roundHalfAwayFromZero, co as roundHalfDown, cp as roundHalfEven, cm as roundHalfOdd, cq as roundHalfTowardsZero, cl as roundHalfUp, cj as roundUp, c6 as seededRandom, f4 as setUuidDefaultEncoding, cE as size, dh as sleep, cv as sortedItems, cd as sortedOrderby, cs as startSortWeight, aw as stringToBoolean, ay as stringToFloat, ax as stringToInteger, ae as stringToUInt8Array, f0 as suid, e$ as suidBytes, f2 as suidBytesDate, f1 as suidDate, c2 as sum, du as throttle, dj as timeout, ak as toBase64, al as toBase64Url, aG as toBool, as as toCamelCase, at as toCapitalize, au as toCapitalizeWords, aD as toFloat, ai as toHex, cz as toHumanReadableUrl, aE as toInt, aF as toString, ag as toUint8Array, ce as toValidFilename, aT as today, dl as tryTimeout, f9 as uname, bv as unescapeHTML, d7 as useAsyncMutex, a1 as useBase, cV as useDefer, cT as useDispose, d2 as useDisposeWithUtils, d0 as useEventListener, d1 as useEventListenerOnce, eH as useExitHandler, c_ as useInterval, c$ as useIntervalPause, dT as useLevelFilter, ei as useMessageHub, d6 as useMutex, dR as useNamespaceFilter, de as usePool, ek as usePubSub, er as useRPC, es as useRPCHub, cw as useSorted, cZ as useTimeout, f5 as uuid, f3 as uuid32bit, eV as uuidB32, eS as uuidB62, eR as uuidBytes, f6 as uuidDecode, eX as uuidDecodeB32, eU as uuidDecodeB62, e_ as uuidDecodeV4, f7 as uuidEncode, eW as uuidEncodeB32, eT as uuidEncodeB62, eZ as uuidEncodeV4, f8 as uuidIsValid, eY as uuidv4, az as valueToBoolean, aB as valueToFloat, aA as valueToInteger, aC as valueToString, dm as waitOn, cO as wordsToUint8Array } from './uuid-eGHUkDkl.js';

interface ParseConfig {
    args?: string[];
    alias?: Record<string, string[]>;
    normalize?: (value: string) => string;
    booleanArgs?: string | string[];
    listArgs?: string | string[];
    numberArgs?: string | string[];
}
declare function parseArgs(config?: ParseConfig): Record<string, any>;

/** Copy string to clipboard */
declare function pbcopy(data: string): Promise<unknown>;

declare function setupWebCrypto(): void;
declare function getWebCrypto(): Promise<Crypto>;

interface EnvOptions {
    /** @deprecated will probably be replaced by logLevel */
    debug?: boolean;
    path?: string;
    filename?: string;
    encoding?: BufferEncoding;
    prefix?: string;
    env?: Record<string, string>;
    mode?: string;
}
/**
 * Return a path relative to the current working directory
 */
declare function stringToPath(value?: string, defaultValue?: string): string;
declare function valueToPath(value?: any, defaultValue?: string): string;
declare const toPath: typeof valueToPath;
declare function getEnvVariableRelaxed(name: string, env?: NodeJS.ProcessEnv): string | undefined;
/** Populates process.env from .env file. */
declare function setupEnv(options?: EnvOptions): {
    parsed: Record<string, string>;
    error?: undefined;
} | {
    error: unknown;
    parsed?: undefined;
};

declare function getStat(path: string): any;
declare function getFingerprint(path: string): string;
declare function walkSync(rootFolder: string, subFolder?: string, ignoreHidden?: boolean): string[];
declare function files(opt?: {
    basePath?: string;
    pattern?: string | RegExp;
    filter?: (name: string) => boolean;
    ignoreHidden?: boolean;
}): string[];

declare function getStatAsync(path: string): Promise<any>;
declare function getFingerprintAsync(path: string): Promise<string>;
declare function walkSyncAsync(rootFolder: string, subFolder?: string, ignoreHidden?: boolean): Promise<string[]>;
declare function filesAsync(opt?: {
    basePath?: string;
    pattern?: string | RegExp;
    filter?: (name: string) => boolean;
    ignoreHidden?: boolean;
}): Promise<string[]>;

interface FileStorageOptions {
    pretty?: boolean;
    path?: string;
    extension?: string;
    objectFromString?: (data: string) => any;
    objectToString?: (data: any) => string;
    keyToFilename?: (key: string) => string;
}
declare class FileStorage<T = Json> implements ObjectStorage<T> {
    private store;
    private dirname;
    private fileKeys?;
    private pretty;
    private extension;
    private extensionLength;
    private objectFromString;
    private objectToString;
    private keyToFilename;
    constructor(opt?: FileStorageOptions);
    setItem(key: string, value: T): void;
    getPath(key: string): string;
    getBuffer(key: string): any;
    getItem(key: string): T | undefined;
    removeItem(key: string): void;
    clear(): void;
    allKeys(): string[];
}

declare function toHumanReadableFilePath(path: string): string;
declare function exists(path: string): Promise<boolean>;
declare function isHiddenPath(path: string): boolean;
declare function ensureFolder(...parts: string[]): Promise<string>;
declare function removeFolder(...parts: string[]): Promise<string>;
declare function readText(...parts: string[]): Promise<string | undefined>;
declare function writeText(path: string, content: string): Promise<void>;

declare function globToRegExp(glob: string, opts?: any): RegExp;

declare function LoggerFileHandler(path: string, opt?: LogHandlerOptions): (msg: LogMessage) => void;

declare function colorString(text: string, colorCode: number): string;
declare function colorStringList(list: Array<any>, style: string, bold?: boolean): any[];
declare const loggerStackTraceDebug = "loggerStackTraceDebug-7d38e5a9214b58d29734374cdb9521fd964d7485";
declare function LoggerNodeHandler(opt?: LogHandlerOptions): LogHandler;

declare function getStackLlocationList(stack: string): string[];
/**
 * Get the source code location of the caller
 * https://stackoverflow.com/a/47296370/140927
 *
 * @param level Number of levels to go down the stack trace
 * @param stripCwd Strip the current working directory, only reasonable for Node.js environment
 */
declare function getSourceLocation(level?: number, stripCwd?: boolean): string;
declare function getStack(): string;
declare function getSourceLocationByPrecedingPattern(patterns: string[], stripCwd?: boolean): string;

declare function Logger(name?: string, level?: LogLevelAliasType): LoggerInterface;

export { FileStorage, type FileStorageOptions, Json, LogHandler, LogHandlerOptions, LogLevelAliasType, LogMessage, Logger, LoggerFileHandler, LoggerInterface, LoggerNodeHandler, ObjectStorage, colorString, colorStringList, ensureFolder, exists, files, filesAsync, getEnvVariableRelaxed, getFingerprint, getFingerprintAsync, getSourceLocation, getSourceLocationByPrecedingPattern, getStack, getStackLlocationList, getStat, getStatAsync, getWebCrypto, globToRegExp, isHiddenPath, loggerStackTraceDebug, parseArgs, pbcopy, readText, removeFolder, setupEnv, setupWebCrypto, stringToPath, toHumanReadableFilePath, toPath, valueToPath, walkSync, walkSyncAsync, writeText };
